Summary:	dmenu - a generic menu for X
Summary(hu.UTF-8):	dmenu egy általános menü X-hez
Summary(pl.UTF-8):	System menu dla X
Name:		dmenu
Version:	5.2
Release:	1
License:	MIT
Group:		Applications
Source0:	http://dl.suckless.org/tools/%{name}-%{version}.tar.gz
# Source0-md5:	fe156c095360914b9b7badf118a66c10
URL:		http://tools.suckless.org/dmenu
BuildRequires:	fontconfig-devel
BuildRequires:	freetype-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXft-devel
BuildRequires:	xorg-lib-libXinerama-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Dynamic menu is a generic menu for X, originally designed for dwm. It
manages huge amounts (up to 10.000 and more) of user defined menu
items efficiently.

%description -l hu.UTF-8
Dynamic menu egy általános menü X-hez, eredetileg a dwm-hez készítve.
Valóban nagy mennyiségű (10.000 és több) felhasználó által definiált
menüelemet képes hatékonyan kezelni.

%description -l pl.UTF-8
System menu ogólnego przeznaczenia dla serwera X. dmenu został
pierwotnie zaprojektowany dla dla zarządcy okien dwm, ale jest
wykorzystywany również przez inne aplikacje. dmenu może efektywnie
zarządzać ogromną liczbą (10000 i więcej) zdefiniowanych przez
użytkownika pozycji menu.

%prep
%setup -q

%build
cat << 'EOF' >> config.mk
PREFIX=%{_prefix}
CFLAGS:=%{rpmcflags} $(filter-out -Os,$(CFLAGS))
LDFLAGS:=%{rpmldflags} $(LDFLAGS)
EOF

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/dmenu
%attr(755,root,root) %{_bindir}/stest
%attr(755,root,root) %{_bindir}/dmenu_path
%attr(755,root,root) %{_bindir}/dmenu_run
%{_mandir}/man1/dmenu.1*
%{_mandir}/man1/stest.1*
%changelog
* Wed Oct 05 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dmenu.git;a=log;h=master

* Wed Oct 05 2022 Jan Palus <atler@pld-linux.org> 9a56643
- up to 5.2

* Fri Feb 11 2022 Jan Palus <atler@pld-linux.org> fd8e634
- up to 5.1

* Wed Sep 02 2020 Jan Palus <atler@pld-linux.org> 0638bf2
- up to 5.0

* Sun Mar 01 2020 Jan Palus <atler@pld-linux.org> eabd440
- upstream fixes for IME segfault; drop patch commented out for 9 years; rel 2

* Thu Mar 21 2019 Jan Palus <atler@pld-linux.org> 2c20996
- up to 4.9

* Wed Mar 28 2018 Jan Rękorajski <baggins@pld-linux.org> 2363483
- rebuild for x32
- release 2 (by relup.sh)

* Sun Feb 12 2012 zbyniu <zbyniu@pld-linux.org> 98843e7
- up to 4.5

* Thu Dec 15 2011 Bartłomiej Zimoń <cactus@pld-linux.org> 5aa3344
- up to 4.4.1; thx fi9o

* Tue Feb 15 2011 Zsolt Udvari <uzsolt@pld-linux.org> 4d46aa1
- 4.2.1

* Mon Jul 05 2010 pawelz <pawelz@pld-linux.org> 10d7b96
- applied upstream

* Mon Jul 05 2010 pawelz <pawelz@pld-linux.org> 288da59
- better URL

* Mon Jul 05 2010 pawelz <pawelz@pld-linux.org> d0f04db
- added xmms patch
- rel 2

* Mon Jul 05 2010 pawelz <pawelz@pld-linux.org> d6a3ff4
- xmms patch, based on http://tools.suckless.org/dmenu/patches/dmenu_xmms.diff

* Mon Jul 05 2010 pawelz <pawelz@pld-linux.org> 31d5954
- up to 4.1.1
- dropped vertical patch (applied upstream)
- unified License info

* Tue Feb 23 2010 Elan Ruusamäe <glen@pld-linux.org> 91e0e6f
- do not overwrite english description; rel 3

* Tue Oct 06 2009 Jakub Bogusz <qboosh@pld-linux.org> 4b7e6a6
- BR: libXinerama-devel; proto BRs already implied, dropped
- pl fixes

* Tue Jun 23 2009 pawelz <pawelz@pld-linux.org> 441450d
- vertical patch

* Tue Jun 23 2009 pawelz <pawelz@pld-linux.org> f31267b
- found at archlinux forum

* Mon Jun 01 2009 Zsolt Udvari <uzsolt@pld-linux.org> a04886d
- correct config.mk editing
- rel 2

* Sun May 31 2009 pawelz <pawelz@pld-linux.org> f8741ab
- BR: xorg-lib-libX11-devel
- BR: xorg-proto-xineramaproto-devel
- BR: xorg-proto-xproto-devel
- small fixes in descriptions/summaries

